Name:		cv
Version:	0.4.1
Release:	5%{?dist}
Summary:	Coreutils Viewer

License:	GPLv3
URL:		https://github.com/Xfennec/%{name}
Source0:	https://github.com/Xfennec/%{name}/archive/v%{version}.tar.gz#/%{name}-%{version}.tar.gz

# These patches will be obsolete in future versions
Patch0:	https://github.com/Xfennec/%{name}/commit/4aacfc36f7592460fda5a3e27f6a736d82462b03.patch#/cv-0.4.1_consider-set-FLAGS.patch
Patch1:	https://github.com/Xfennec/%{name}/pull/29.patch#/cv-0.4.1_overides-makefile.patch
Patch2:	https://github.com/Xfennec/%{name}/commit/1b407cd78aa193391368ccfb051eade5b306aea8.patch#/cv-0.4.1_add-manpage.patch

BuildRequires:	ncurses-devel

%description
Coreutils Viewer can be described as a Tiny Dirty Linux Only* C command that
looks for coreutils basic commands (cp, mv, dd, tar, gzip/gunzip, cat, ...)
currently running on your system and displays the percentage of copied data.

%prep
%setup -q
%patch0 -b .consider_set_flags -p 1
%patch1 -b .flags_override -p 1
%patch2 -b .add_manpage -p 1

%build
CFLAGS="%{?optflags}"			\
LFLAGS="%{?__global_ldflags}"	\
make %{?_smp_mflags}

%install
mkdir -p %{buildroot}%{_bindir}
install -pm 0755 %{name} %{buildroot}%{_bindir}/%{name}

mkdir -p %{buildroot}%{_mandir}/man1
install -pm 0644 *.1 %{buildroot}%{_mandir}/man1

%files
%doc LICENSE README.md
%{_bindir}/cv
%{_mandir}/man1/*.1*

%changelog
* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.4.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Mon Aug 11 2014 Florian Lehner <dev@der-flo.net> 0.4.1-4
- Unset __hardened_build
- Rename LDFLAGS to LFLAGS

* Sun Aug 10 2014 Florian Lehner <dev@der-flo.net> 0.4.1-3
- Use patch from upstream to consider already set flags
- Use patch from upstream to fix overrides in Makefile
- Use patch from upstream toa add manpage for cv
- Add README.md to doc-section

* Sun Aug 10 2014 Florian Lehner <dev@der-flo.net> 0.4.1-2
- Appending CFLAGS and LDFLAGS instead of overriding it

* Sat Aug  9 2014 Florian Lehner <dev@der-flo.net> 0.4.1-1
- Initial packaging (#1128378)
